ApiHiveReplicationTableFilters (cloudera-manager-api-swagger 7.13.1 API)
Date: 2026-05-19

com.cloudera.api.swagger.model

## Class ApiHiveReplicationTableFilters

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiHiveReplicationTableFilters

-     @Generated(value="io.swagger.codegen.v3.generators.java.JavaClientCodegen",
                 date="2026-05-19T08:00:51.241Z[Etc/UTC]")
      public class ApiHiveReplicationTableFilters
      extends Object

  ApiHiveReplicationTableFilters

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiHiveReplicationTableFilters()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiHiveReplicationTableFilters` | `addTableFiltersItem(ApiHiveTable tableFiltersItem)`
    `boolean` | `equals(Object o)`
    `List<ApiHiveTable>` | `getTableFilters()` Get tableFilters
    `int` | `hashCode()`
    `void` | `setTableFilters(List<ApiHiveTable> tableFilters)`
    `ApiHiveReplicationTableFilters` | `tableFilters(List<ApiHiveTable> tableFilters)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiHiveReplicationTableFilters

          public ApiHiveReplicationTableFilters()

  - ### Method Detail

    - #### tableFilters

          public ApiHiveReplicationTableFilters tableFilters(List<ApiHiveTable> tableFilters)

    - #### addTableFiltersItem

          public ApiHiveReplicationTableFilters addTableFiltersItem(ApiHiveTable tableFiltersItem)

    - #### getTableFilters

          public List<ApiHiveTable> getTableFilters()

      Get tableFilters
      Returns:
        tableFilters

    - #### setTableFilters

          public void setTableFilters(List<ApiHiveTable> tableFilters)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2026. All rights reserved.